#!/usr/bin/env ruby
# -*- coding: UTF-8 -*-

require_relative "vo/sms"
require_relative "module/send_sms_module"
require_relative "config"

BEGIN {
  puts "send sms begin"
}

#发送短信
class SendSms
  include SendSmsModule

  #测试短信发送
  def test_send_sms
    sms= Sms.new()
    sms.smsUser=Config::SMS_USER
    sms.phone="1316333****"
    sms.templateId="1"
    sms.msgType="0"
    #signature的计算放在在send_sms_module中
    #....
    res=send_sms(sms,Config::SMS_KEY)
    if res.result
      puts "send sms succss,info:#{res.info}"
    else
      puts "send sms fail:#{res.message}"
    end
  end

  #测试语音发送
  def test_send_voice
    sms= Sms.new()
    sms.smsUser=Config::SMS_USER
    sms.phone="1316333****"
    sms.code="1234"
    sms.msgType="0"

    #....
    res=send_voice(sms,Config::SMS_KEY)
    if res.result
      puts "send sms voice succss,info:#{res.info}"
    else
      puts "send sms voice fail:#{res.message}"
    end
  end
end

begin

  send=SendSms.new
  #测试短信发送
  send.test_send_sms
  #测试语音发送
  send.test_send_voice
rescue
  puts "error:#{$!} at:#{$@}"
  puts "send encounters error,Execution has terminated"
ensure
end

END {
  puts "send sms end"
}
